% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/dcem_em_utils.R
\name{expectation_mv}
\alias{expectation_mv}
\title{expectation_mv: Part of DCEM package.}
\usage{
expectation_mv(data, weights, meu, sigma, prior, num_clusters, tolerance)
}
\arguments{
\item{data}{(matrix): The input data.}

\item{weights}{(matrix): The probability weight matrix.}

\item{meu}{(matrix): The matrix of meu.}

\item{sigma}{(list): The list of sigma (co-variance matrices).}

\item{prior}{(vector): The vector of priors.}

\item{num_clusters}{(numeric): The number of clusters.}

\item{tolerance}{(numeric): The system epsilon value.}
}
\value{
Updated probability weight matrix.
}
\description{
Calculates the probabilistic weights for the multivariate data.
}
\references{
Using data to build a better EM: EM* for big data.

Hasan Kurban, Mark Jenne, Mehmet M. Dalkilic
(2016) <https://doi.org/10.1007/s41060-017-0062-1>.
}
\author{
Parichit Sharma \email{parishar@iu.edu}, Hasan Kurban, Mark Jenne, Mehmet Dalkilic

This work is partially supported by NCI Grant 1R01CA213466-01.
}
